import { Options } from 'imagemin-gifsicle';
import { Options as Options$1 } from 'imagemin-svgo';
import { Options as Options$2 } from 'imagemin-mozjpeg';
import { Options as Options$3 } from 'imagemin-optipng';
import { Options as Options$4 } from 'imagemin-pngquant';
import { Options as Options$5 } from 'imagemin-webp';
import { Options as Options$6 } from 'imagemin-jpegtran';
import { Plugin } from 'vite';

declare type imgType = Array<'jpg' | 'png' | 'svg' | 'gif' | 'jpeg' | 'webp'>;
declare type inputTypes = {
    open?: boolean;
    ignoreImagePath?: Array<string>;
    imgPath?: Array<string>;
    imgType?: imgType;
    pluginConfig?: imageminPlugin;
};
declare type viteImageminPlugin = (options?: inputTypes) => Plugin;
interface imageminPlugin {
    gifsicle?: Options;
    svgo?: Options$1;
    mozjpeg?: Options$2;
    optipng?: Options$3;
    pngquant?: Options$4;
    webp?: Options$5 | false;
    jpegTran?: Options$6;
}

declare const viteImagemin: viteImageminPlugin;

export { viteImagemin as default };
